/*
 * Upbit Open API
 * ## REST API for Upbit Exchange - Base URL: [https://api.upbit.com] - Official Upbit API Documents: [https://docs.upbit.com] - Official Support email: [open-api@upbit.com] 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: ujhin942@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.18
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/OrderbookUnit'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./OrderbookUnit'));
  } else {
    // Browser globals (root is window)
    if (!root.UpbitOpenApi) {
      root.UpbitOpenApi = {};
    }
    root.UpbitOpenApi.Orderbook = factory(root.UpbitOpenApi.ApiClient, root.UpbitOpenApi.OrderbookUnit);
  }
}(this, function(ApiClient, OrderbookUnit) {
  'use strict';

  /**
   * The Orderbook model module.
   * @module model/Orderbook
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Orderbook</code>.
   * @alias module:model/Orderbook
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Orderbook</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Orderbook} obj Optional instance to populate.
   * @return {module:model/Orderbook} The populated <code>Orderbook</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('market'))
        obj.market = ApiClient.convertToType(data['market'], 'String');
      if (data.hasOwnProperty('timestamp'))
        obj.timestamp = ApiClient.convertToType(data['timestamp'], 'Number');
      if (data.hasOwnProperty('total_ask_size'))
        obj.totalAskSize = ApiClient.convertToType(data['total_ask_size'], 'Number');
      if (data.hasOwnProperty('total_bid_size'))
        obj.totalBidSize = ApiClient.convertToType(data['total_bid_size'], 'Number');
      if (data.hasOwnProperty('orderbook_units'))
        obj.orderbookUnits = ApiClient.convertToType(data['orderbook_units'], [OrderbookUnit]);
    }
    return obj;
  }

  /**
   * 마켓 코드
   * @member {String} market
   */
  exports.prototype.market = undefined;

  /**
   * 호가 생성 시각
   * @member {Number} timestamp
   */
  exports.prototype.timestamp = undefined;

  /**
   * 호가 매도 총 잔량
   * @member {Number} totalAskSize
   */
  exports.prototype.totalAskSize = undefined;

  /**
   * 호가 매수 총량
   * @member {Number} totalBidSize
   */
  exports.prototype.totalBidSize = undefined;

  /**
   * 호가
   * @member {Array.<module:model/OrderbookUnit>} orderbookUnits
   */
  exports.prototype.orderbookUnits = undefined;


  return exports;

}));
